> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/bg/dokumentaciya-na-api/pregled-na-zayavkite-km-geopard-api/49.-zayavka-poluchavane-na-gridirani-danni-ot-fieldsatelliteimage.md).

# 49. Заявка: Получаване на гридирани данни от „FieldSatelliteImage“

Заявка за получаване на решетъчни данни от растеровия набор от данни, свързан с "FieldSatelliteImage", като `GEOJSON`  с точки или `GEOTIFF`. Атрибутът properties зависи от доставчика и обикновено съдържа оригиналните данни от доставчика (като RED, GREEN, BLUE, NIR и дори Clear Land) за всяка точка/пиксел. Повече подробности за експортирания файл могат да бъдат намерени [ТУК](/geopard-tutorials/bg/produktova-obikolka-ueb-prilozhenie/eksport-izteglyane/eksport-na-satelitni-izobrazheniya-kato-geotiff-ili-geojson.md).

#### 1. Заявете файл за експортиране

{% hint style="danger" %}
Препоръчва се да се извлече само един набор данни с `sourceDataUrl` на заявка.&#x20;
{% endhint %}

`NoBuffer`, `PlusOnePixel`, `PlusTwoPixels`, `MinusOnePixel`, и `MinusTwoPixels` са налични като `буфер`.

`GEOJSON` и `GEOTIFF` са налични като формат.&#x20;

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetGriddedDataFromSatelliteImage {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]){
    uuid
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      satelliteImages(satelliteImageUuids: ["<placeholder_of_satelliteimage_uuid>"]) {
        satelliteImage {
          uuid
          acquisitionDate
          provider
        }
        sourceDataUrl(format: GEOJSON buffer: PlusTwoPixels)
      }
    }
  }
}
```

{% endcode %}

#### 2. Изтеглете генерирания файл

След успешно подготвяне на файла, е възможно да го изтеглите, като използвате `curl` или подобен подход.

{% hint style="danger" %}
`sourceDataUrl` връзката е достъпна само за **60 сек.**
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl '<sourceDataUrl>' --compressed >> '<local_filepath>'
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/bg/dokumentaciya-na-api/pregled-na-zayavkite-km-geopard-api/49.-zayavka-poluchavane-na-gridirani-danni-ot-fieldsatelliteimage.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
